List withdrawals.
curl --request GET \
--url https://api.blockscout.com/{chain_id}/api/v2/optimism/withdrawals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blockscout.com/{chain_id}/api/v2/optimism/withdrawals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blockscout.com/{chain_id}/api/v2/optimism/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"amount": "<string>",
"index": 123,
"validator_index": 123,
"block_number": 123,
"receiver": {
"ens_domain_name": "<string>",
"hash": "<string>",
"implementations": [
{
"address_hash": "<string>",
"name": "<string>"
}
],
"is_contract": true,
"is_scam": true,
"is_verified": true,
"metadata": {
"tags": [
{
"meta": {},
"name": "<string>",
"ordinal": 123,
"slug": "<string>",
"tagType": "<string>"
}
]
},
"name": "<string>",
"private_tags": [
{
"address_hash": "<string>",
"display_name": "<string>",
"label": "<string>"
}
],
"public_tags": [
{
"address_hash": "<string>",
"display_name": "<string>",
"label": "<string>"
}
],
"watchlist_names": [
{
"display_name": "<string>",
"label": "<string>"
}
]
},
"timestamp": "2023-11-07T05:31:56Z"
}
],
"next_page_params": {
"nonce": "1766847064778384329583297500742918515827483896875618958121606201292650102"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}optimism
List withdrawals.
Retrieves a paginated list of withdrawals.
GET
/
{chain_id}
/
api
/
v2
/
optimism
/
withdrawals
List withdrawals.
Authorizations
bearerAuthapiKeyAuth
API key passed as a Bearer token in the Authorization header.
Path Parameters
The ID of the blockchain
Query Parameters
Number of items per page
Required range:
x >= 1Nonce for paging
Pattern:
^-?([1-9][0-9]*|0)$Was this page helpful?
⌘I